View Issue Details

IDProjectCategoryView StatusLast Update
0000398bareos-core[All Projects] directorpublic2015-02-13 11:18
ReportertigerfootAssigned To 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionduplicate 
Product Version14.2.2 
Fixed in Version14.2.3 
Summary0000398: bconsole & bareos-dir segfault on restore dir
DescriptionThis has been seen on bareos-dir / bconsole on Linux with trying to restore data from windows-fd or linux-fd
Version 14.2.2 (from subscription channel) installed on dir sd and fd
(Windows are 64bits 2012, 2008R2 server)

09-Jan 10:09 oceania-dir: ABORTING due to ERROR in smartall.c:187
double free from message.c:1647
Steps To ReproduceHave a data set with numerous sub-folders
try restore

bconsole
restore
5
cwd is: C:/
$ dir
-rwxrwxrwx 1 root root 1024 2015-01-02 16:19:45 C:/.rnd
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Adaptec/
-rwxrwxrwx 1 root root 1 2013-07-04 06:57:16 C:/BOOTNXT
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Documents and Settings
-rwxrwxrwx 1 root root 183670634 2015-01-04 12:00:08 C:/EARTH_registry.reg
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/PerfLogs/
-rwxrwxrwx 1 root root 340 2013-07-11 10:20:14 C:/Printer_Mac_Adress.txt
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Program Files/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Program Files (x86)/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/ProgramData/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Recovery/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Windows/
-rwxrwxrwx 1 root root 87 2013-07-10 14:44:07 C:/before_backup.cmd
-rwxrwxrwx 1 root root 398156 2013-07-04 06:57:19 C:/bootmgr
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/sources/
$ cd Users/
cwd is: C:/Users/
$ dir
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/Administrator/
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/All Users
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/Default/
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/Default User
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/Public/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/administrator.SWISS/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/ava/
-rwxrwxrwx 1 root root 174 2013-07-04 06:57:21 C:/Users/desktop.ini
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/uba/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/ula/
$ cd adminlan
cwd is: C:/Users/adminlan/
$ dir
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/AppData/
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Application Data
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Contacts/
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Cookies
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Desktop/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Documents/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Downloads/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Favorites/
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Links/
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Local Settings
drwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/Music/
lrwxrwxrwx 0 root root 0 2076-11-29 09:54:36 C:/Users/adminlan/My Documents
-rwxrwxrwx 1 root root 524288 2015-01-02 14:39:53 C:/Users/adminlan/NTUSER.DAT
���������������������������������������������������������������������������������������������������������������������������������
-rwxrwxrwx 1 root root 524288 2013-07-09 17:36:22 C:/Users/adminlan/NTUSER.DAT{a33f7297-d69b-11e1-a6c3-782bcb3a4df3}.TMContainer00000000000000000001.regtrans-ms

in real filesystem

C:\Users\adminlan>dir /AHS
 Volume in drive C has no label.
 Volume Serial Number is A8EF-D505

 Directory of C:\Users\adminlan

09.07.2013 16:36 <JUNCTION> Application Data [C:\Users\adminlan\AppData\Roaming]
09.07.2013 16:36 <JUNCTION> Cookies [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\Cookies]
09.07.2013 16:36 <JUNCTION> Local Settings [C:\Users\adminlan\AppData\Local]
09.07.2013 16:36 <JUNCTION> My Documents [C:\Users\adminlan\Documents]
09.07.2013 16:36 <JUNCTION> NetHood [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\Network Shortcuts]
02.01.2015 14:39 524'288 NTUSER.DAT
09.07.2013 16:36 32'768 ntuser.dat.LOG1
09.07.2013 16:36 0 ntuser.dat.LOG2
09.07.2013 16:36 65'536 NTUSER.DAT{a33f7297-d69b-11e1-a6c3-782bcb3a4df3}.TM.blf
09.07.2013 16:36 524'288 NTUSER.DAT{a33f7297-d69b-11e1-a6c3-782bcb3a4df3}.TMContainer00000000000000000001.regtrans-ms

09.07.2013 16:36 524'288 NTUSER.DAT{a33f7297-d69b-11e1-a6c3-782bcb3a4df3}.TMContainer00000000000000000002.regtrans-ms

09.07.2013 16:36 20 ntuser.ini
09.07.2013 16:36 <JUNCTION> PrintHood [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\Printer Shortcuts]
09.07.2013 16:36 <JUNCTION> Recent [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\Recent]
09.07.2013 16:36 <JUNCTION> SendTo [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\SendTo]
09.07.2013 16:36 <JUNCTION> Start Menu [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\Start Menu]
09.07.2013 16:36 <JUNCTION> Templates [C:\Users\adminlan\AppData\Roaming\Microsoft\Windows\Templates]
               7 File(s) 1'671'188 bytes
              10 Dir(s) 77'825'429'504 bytes free

C:\Users\adminlan>


this is easily reproductible on Linux too
an be reproduced on Linux too

You are now entering file selection mode where you add (mark) and
remove (unmark) files to be restored. No files are initially added, unless
you used the "all" keyword on the command line.
Enter "done" to leave this mode.

cwd is: /
dir
drwxr-xr-x 4 root root 4096 2014-03-27 20:12:39 /ioda/
---------- 0 root root 0 1970-01-01 01:00:00 /media/
$ cd media/
cwd is: /media/
$ dir
drwxrwxr-x 11 bruno ioda 4096 2015-01-05 13:55:55 /media/multimedia/
---------- 0 root root 0 1970-01-01 01:00:00 /media/storage/
$ cd multimedia/
cwd is: /media/multimedia/
$ dir
drwx------ 4 bruno ioda 4096 2014-10-18 01:57:14 /media/multimedia/.Trash-1502/
drwx------ 4 fanfan ioda 4096 2015-01-05 09:02:37 /media/multimedia/.Trash-1503/
drwxrwsr-x 28 bruno ioda 4096 2014-12-28 11:08:22 /media/multimedia/Albums-Photos/
drwxrwsr-x 5 fanfan ioda 4096 2014-10-18 02:17:51 /media/multimedia/Assimil/
drwxrwsr-x 18 bruno ioda 4096 2014-11-20 10:23:42 /media/multimedia/Films/
drwxrwsr-x 10 bruno ioda 4096 2014-10-18 02:29:55 /media/multimedia/Images/
drwxrwxr-x 184 bruno ioda 12288 2014-11-17 18:44:15 /media/multimedia/Musiques/
drwxrwsr-x 4 bruno ioda 4096 2014-10-18 02:45:16 /media/multimedia/Sound/
drwx------ 2 root root 16384 2014-10-18 02:44:21 /media/multimedia/lost+found/
$ cd Sound
cwd is: /media/multimedia/Sound/
$ dir
-rw-rw-r-- 1 bruno ioda 32 2014-10-18 02:45:12 /media/multimedia/Sound/.directory
-rwxrwxr-x 1 bruno ioda 157680 2014-10-18 02:45:12 /media/multimedia/Sound/1303.mp3
-rwxrwxr-x 1 bruno ioda 220176 2014-10-18 02:45:12 /media/multimedia/Sound/1608.mp3
-rwxrwxr-x 1 bruno ioda 251856 2014-10-18 02:45:12 /media/multimedia/Sound/1612.mp3
-rwxrwxr-x 1 bruno ioda 659790 2014-10-18 02:45:12 /media/multimedia/Sound/Andromeda_-_Mono_8-bit.wav
-rwxrwxr-x 1 bruno ioda 698822 2014-10-18 02:45:12 /media/multimedia/Sound/Autumn_Glade_Mono_8-bit.wav
-rwxrwxr-x 1 bruno ioda 646664 2014-10-18 02:45:12 /media/multimedia/Sound/Banjo_Thang_-_Mono_8-bit.wav
-rwxrwxr-x 1 bruno ioda 694180 2014-10-18 02:45:12 /media/multimedia/Sound/December_-_Mono_8-bit.wav
���������������������������������������������������������������������������������������������������������������������������������
^A^Nyoda:~ # systemctl status bareos-dir
bareos-dir.service - Bareos Director Daemon service
   Loaded: loaded (/etc/systemd/system/bareos-dir.service; enabled)
   Active: inactive (dead) since sam 2015-01-10 11:38:39 CET; 18s ago
 Main PID: 12612 (code=exited, status=1/FAILURE)

déc 26 12:20:33 yoda systemd[1]: Starting Bareos Director Daemon service...
déc 26 12:20:33 yoda systemd[1]: Started Bareos Director Daemon service.
jan 10 11:38:22 yoda bareos-dir[12612]: yoda-dir: ABORTING due to ERROR in smartall.c:187
                                        double free from message.c:1647
jan 10 11:38:38 yoda bareos-dir[12612]: BAREOS interrupted by signal 11: Segmentation violation

ls works
$ ls
.directory
1303.mp3
1608.mp3
1612.mp3
Andromeda_-_Mono_8-bit.wav
Autumn_Glade_Mono_8-bit.wav
Banjo_Thang_-_Mono_8-bit.wav
December_-_Mono_8-bit.wav
Distant_Meadows_8_bit_mono_11k.wav
Evening_In_Saturn_8_bit_mono_11k.wav
Fats_Domino-Fats_Domino-1-Blueberry_Hill.mp3
From_A_Dream_mono_8_bit_11k.wav
Heather_and_Liam_mono_8_bit.wav
Heebie_Dweebie_-_Mono_8-bit.wav
IceAge/
Ike_Tina_Turner-Sexy_Seductive_Provocative-4-Mississippi.mp3
Jasmine_Rain_Mono_8-bit.wav
John_Lee_Hooker-The_Best_of_John_Lee_Hooker-15-Tupelo.mp3
Lightnin__Hopkins-Blue_Lightnin_-6-Gamblers_Blues.mp3
Linus say Linux.au
Los_Cabos_Serenade_8_bit_mono_11k.wav
Mark_Pistel-Pistel-3-Skin_Up.mp3
Moonbeams_mono_8_bit_11k.wav
NewMail.wav
Night_Temple_-_Mono_8-bit.wav
Pajaro_Dunes_mono_8_bit.wav
Professor_Shehab_and_Robert_Musso-Ataxia-3-Avatar.mp3
Romantic_Poland_2_-_Mono_8-bit.wav
Santiago_Bay_mono_8_bit.wav
Slip_Away_-_Mono_8-bit.wav
The_Apples_in_Stereo-Her_Wallpaper_Reverie-5-Strawberryfire.mp3
The_Bouncing_Souls-Hopeless_Romantic-4-Fight_To_Live.mp3
They_Might_Be_Giants-Long_Tall_Weekend-6-Older.mp3
Venuscape_Mono_8-bit.wav
VooDoo_Glow_Skulls-The_Band_Geek_Mafia-7-Left_For_Dead.mp3
Winter_Dream_-_Mono_8-bit.wav
ab06.mp3
applause.ra
atlantis_mono_8bit.wav
bbferrin.rm
birthday.au
birthday.wav
caosetout.au
croiseur.au
djembé.mp3
funkyfreesoftwaresounds/
girl.ra
grisby.au
groscon.au
home_in_the_mountains_8bit_mono.wav
if_only_you_knew_8bit_mono.wav
incoming_transmission_mono_8_bit.pk
incoming_transmission_mono_8_bit.wav
intheghetto.mp3
introguitar.rm
introguitare.rm
introsynthe.rm
lafoule.rm
leisure_class_mono_8_bit.wav
miammiam.rm
newmessage.wav
october_rain_8bit_mono.wav
orbite.au
orbite.wav
ougaouga.wav
ougaougavoice.wav
quietly_confident_mono_8_bit.wav
remembrance_8bit_mono.wav
sanctuary_mono_8bit.wav
silencieux.au
silencieux2.au
stellar_welcome_mono_8_bit.wav
suzanne.au
the_power_behind_mono_8_bit.wav
thinking_about_you_8bit_mono.wav
twistie.rm
variations_-_Mono_8-bit.wav
wadani.rm
wedding.rm
$

cwd is: /media/multimedia/Sound/funkyfreesoftwaresounds/
$ ls
Creative Commons Deed.html
Creative Commons Deed_files
README.txt
gdmbeep.wav
legalcode.html
legalcode.txt
legalcode_files
login.wav
logout.wav
$ dir
���������������������������������������������������������������������������������������������������������������������������������
drwxrwsr-x 2 bruno ioda 4096 2014-10-18 02:42:55 /media/multimedia/Sound/funkyfreesoftwaresounds/Creative Commons Deed_files/


Enter "done" to leave this mode.

cwd is: /
$ dir
drwxr-xr-x 23 root root 4096 2014-12-22 08:59:49 /
-rw-r--r-- 1 root root 675908 2014-12-22 08:59:49 /.readahead
-rw------- 1 root root 3943 2013-12-25 21:56:00 /.viminfo
drwxr-xr-x 2 root root 4096 2014-12-29 09:08:51 /bin/
drwxr-xr-x 5 root root 4096 2014-12-22 08:58:58 /boot/
drwxr-xr-x 19 root root 4020 2014-12-22 08:58:50 /dev/
drwxr-xr-x 134 root root 12288 2015-01-04 12:03:40 /etc/
drwxr-xr-x 7 root root 4096 2014-03-07 13:11:08 /home/
drwxr-xr-x 13 root root 4096 2014-09-13 10:31:43 /lib/
drwxr-xr-x 7 root root 12288 2014-12-14 20:59:48 /lib64/
drwxr-xr-x 5 root root 4096 2014-05-26 07:22:20 /media/
drwxr-xr-x 2 root root 4096 2013-12-25 19:07:40 /mnt/
drwxr-xr-x 2 root root 4096 2013-12-25 19:07:40 /opt/
dr-xr-xr-x 356 root root 0 2014-12-22 08:58:47 /proc/
drwx------ 19 root root 12288 2015-01-10 00:15:03 /root/
drwxr-xr-x 27 root root 1200 2015-01-09 04:26:30 /run/
drwxr-xr-x 2 root root 12288 2014-12-29 09:08:50 /sbin/
drwxr-xr-x 2 root root 4096 2013-12-25 19:07:40 /selinux/
drwxr-xr-x 8 root root 4096 2014-05-15 12:54:41 /srv/
dr-xr-xr-x 12 root root 0 2014-12-22 08:58:49 /sys/
drwxrwxrwt 15 root root 420 2015-01-10 00:15:05 /tmp/
drwxr-xr-x 13 root root 4096 2013-12-25 19:07:40 /usr/
drwxr-xr-x 18 root root 4096 2014-09-10 19:02:41 /var/
$ cd /srv/www/
cwd is: /srv/www/
$ dir
drwxr-xr-x 2 root root 4096 2014-12-26 10:34:44 /srv/www/cgi-bin/
drwxr-xr-x 2 root root 4096 2015-01-04 12:03:37 /srv/www/htdocs/
drwxr-xr-x 4 root www 4096 2015-01-05 19:08:33 /srv/www/includes/
drwx------ 2 root root 16384 2014-03-10 09:42:31 /srv/www/lost+found/
drwxr-xr-x 34 root root 4096 2014-11-27 18:35:59 /srv/www/vhosts/
$ cd vhosts
cwd is: /srv/www/vhosts/
$ dir
drwxr-xr-x 9 sigeom_c www 4096 2014-09-23 14:12:33 /srv/www/vhosts/sigeom/
$ cd sigeom/
cwd is: /srv/www/vhosts/sigeom/
$ dir
drwxrwx--- 10 wwwrun www 4096 2014-09-01 19:55:08 /srv/www/vhosts/sigeom/b.sigeom.ch/
-rw-r--r-- 1 sigeom_c www 1657862 2014-07-14 17:40:39 /srv/www/vhosts/sigeom/latest.tar.gz
$ cd b.sigeom.ch/
cwd is: /srv/www/vhosts/sigeom/b.sigeom.ch/
$ dir
-rw-rwx--- 1 wwwrun www 20442 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/CHANGELOG
-rw-rwx--- 1 wwwrun www 231 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/CONTRIBUTING.md
-rw-rwx--- 1 wwwrun www 775 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/CREDITS
-rw-rwx--- 1 wwwrun www 17987 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/LICENSE
-rw-rwx--- 1 wwwrun www 2980 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/README.md
drwxrwx--- 6 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/admin/
-rw-rwx--- 1 wwwrun www 38036 2014-08-27 12:00:16 /srv/www/vhosts/sigeom/b.sigeom.ch/backup-2.6.3.zip
drwxrwx--- 6 wwwrun www 4096 2014-09-17 18:09:13 /srv/www/vhosts/sigeom/b.sigeom.ch/cache/
drwxrwx--- 2 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/db/
drwxrwx--- 8 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/
-rw-rwx--- 1 wwwrun www 678 2014-09-01 19:55:08 /srv/www/vhosts/sigeom/b.sigeom.ch/index.php
drwxrwx--- 4 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/locales/
drwxrwx--- 27 wwwrun www 4096 2014-09-23 14:57:20 /srv/www/vhosts/sigeom/b.sigeom.ch/plugins/
drwxrwx--- 3 wwwrun www 4096 2014-09-23 14:55:33 /srv/www/vhosts/sigeom/b.sigeom.ch/public/
drwxrwx--- 8 wwwrun www 4096 2014-09-17 17:58:34 /srv/www/vhosts/sigeom/b.sigeom.ch/themes/
$ cd inc
cwd is: /srv/www/vhosts/sigeom/b.sigeom.ch/inc/
$ dir
-rw-r----- 1 wwwrun www 13 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/.htaccess
drwxr-x--- 3 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/admin/
-rw-rw-rw- 1 wwwrun www 1968 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/config.php
-rw-r----- 1 wwwrun www 1836 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/config.php.in
drwxr-x--- 2 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/core/
-rw-r----- 1 wwwrun www 1581 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/core_error.php
drwxr-x--- 2 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/dbschema/
-rwxrwx--- 1 wwwrun www 60803 2014-08-27 12:00:16 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/digests
drwxr-x--- 3 wwwrun www 4096 2014-08-27 11:59:58 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/libs/
���������������������������������������������������������������������������������������������������������������������������������
-rwxrwx--- 1 wwwrun www 11607 2014-08-27 12:00:16 /srv/www/vhosts/sigeom/b.sigeom.ch/inc/prepend.php
Additional Informationsyslog information (pg is logged here too)
jan 09 10:04:40 oceania postgres[3732]: [2-1] 2015-01-09 10:04:40 CET bareos bareos ERROR: table "temp" does not exist
jan 09 10:04:40 oceania postgres[3732]: [2-2] 2015-01-09 10:04:40 CET bareos bareos STATEMENT: DROP TABLE temp
jan 09 10:04:40 oceania postgres[3732]: [3-1] 2015-01-09 10:04:40 CET bareos bareos ERROR: table "temp1" does not exist
jan 09 10:04:40 oceania postgres[3732]: [3-2] 2015-01-09 10:04:40 CET bareos bareos STATEMENT: DROP TABLE temp1
jan 09 10:06:10 oceania bareos-dir[885]: BAREOS interrupted by signal 6: IOT trap
jan 09 10:06:12 oceania postfix/smtpd[3756]: connect from localhost[127.0.0.1]


jan 09 10:07:13 oceania postgres[3892]: [2-1] 2015-01-09 10:07:13 CET bareos bareos ERROR: table "temp" does not exist
jan 09 10:07:13 oceania postgres[3892]: [2-2] 2015-01-09 10:07:13 CET bareos bareos STATEMENT: DROP TABLE temp
jan 09 10:07:13 oceania postgres[3892]: [3-1] 2015-01-09 10:07:13 CET bareos bareos ERROR: table "temp1" does not exist
jan 09 10:07:13 oceania postgres[3892]: [3-2] 2015-01-09 10:07:13 CET bareos bareos STATEMENT: DROP TABLE temp1
jan 09 10:09:52 oceania bareos-dir[3876]: oceania-dir: ABORTING due to ERROR in smartall.c:187
                                          double free from message.c:1647
jan 09 10:09:52 oceania bareos-dir[3876]: BAREOS interrupted by signal 11: Segmentation violation
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

duplicate of 0000383 closed dir command in bconsole crash bareos-dir 

Activities

tigerfoot

tigerfoot

2015-01-13 21:09

developer  

oceania-dir.885.bactrace (2,381 bytes)
tigerfoot

tigerfoot

2015-01-13 21:10

developer  

oceania-dir.3876.bactrace (1,920 bytes)
tigerfoot

tigerfoot

2015-01-13 21:10

developer  

oceania-dir.5485.bactrace (1,859 bytes)
tigerfoot

tigerfoot

2015-01-13 21:11

developer   ~0001181

here the associated backtrace ( xz compressed )
885
https://dav.ioda.net/public.php?service=files&t=fd0c29b8a72cc760c2dbe5f19f92d7d2

3876
https://dav.ioda.net/public.php?service=files&t=54aac54933aacbf259a591c99df83ef6

5485
https://dav.ioda.net/public.php?service=files&t=3a6c893ee097c968e024f649a2ab47bd
tigerfoot

tigerfoot

2015-01-13 21:12

developer   ~0001182

Downgrading all the servers to 13.2.3 stop immediately the crashes.
mvwieringen

mvwieringen

2015-01-14 13:35

developer   ~0001183

I guess you mean the director crashes (which means bconsole also disconnects
as the socket gets closed.) I linked it to a similar bug report for which we
added a patch that might not fully work or introduce the problem you report.)

The bactrace files are kind of useless, please install the debug rpms and see
if you can get a clean gdb stacktrace which will also tell us if things are
similar.
tigerfoot

tigerfoot

2015-01-14 14:04

developer   ~0001184

Hey sorry for the duplicate, It has escape my reading yesterday night.
Once the 14.2.3 is available (soon) I will reinstall on one crash dump system with the -debug and see if I can reproduce it.
(report should be appear in a rough week)
mvwieringen

mvwieringen

2015-01-14 15:48

developer   ~0001185

Its probably not going to be 14.2.3 but just a newer version of 14.2.2.
The actual line its complaining about looks exactly like what the patch
should have fixed e.g. passing the POOLMEM as ** and not as *& so unless
its a mis-compile I would have expected the patch fixed it as the error is
similar to the error on windows with symlink data after which I scanned the
whole code for similar issues.
maik

maik

2015-01-19 12:26

administrator   ~0001196

waiting for feedback from tigerfoot
tigerfoot

tigerfoot

2015-02-13 09:57

developer   ~0001277

Tested on 2 differents systems with 14.2.3 restore windows and linux work now as expected

Issue History

Date Modified Username Field Change
2015-01-13 21:08 tigerfoot New Issue
2015-01-13 21:09 tigerfoot File Added: oceania-dir.885.bactrace
2015-01-13 21:10 tigerfoot File Added: oceania-dir.3876.bactrace
2015-01-13 21:10 tigerfoot File Added: oceania-dir.5485.bactrace
2015-01-13 21:11 tigerfoot Note Added: 0001181
2015-01-13 21:12 tigerfoot Note Added: 0001182
2015-01-13 22:54 mvwieringen Relationship added duplicate of 0000383
2015-01-14 13:35 mvwieringen Note Added: 0001183
2015-01-14 13:36 mvwieringen Status new => feedback
2015-01-14 14:04 tigerfoot Note Added: 0001184
2015-01-14 14:04 tigerfoot Status feedback => new
2015-01-14 15:48 mvwieringen Note Added: 0001185
2015-01-19 12:26 maik Note Added: 0001196
2015-01-19 12:26 maik Assigned To => mvwieringen
2015-01-19 12:26 maik Status new => feedback
2015-02-10 14:49 mvwieringen Assigned To mvwieringen =>
2015-02-13 09:57 tigerfoot Note Added: 0001277
2015-02-13 09:57 tigerfoot Status feedback => new
2015-02-13 11:18 mvwieringen Status new => closed
2015-02-13 11:18 mvwieringen Resolution open => duplicate
2015-02-13 11:18 mvwieringen Fixed in Version => 14.2.3